# Initialisation
scoreboard objectives add yeggs_chicken:var dummy
execute unless score init yeggs_chicken:var matches 1 run function yeggs/chicken/init
execute as @a[tag=!yeggs_chicken:init] at @s run function yeggs/chicken/player_init

# First join
execute as @a[tag=!yeggs_chicken:guide] run tag @s add yeggs_chicken:give_guide
execute as @a[hasitem={item=yeggs_chicken:guide_book}] run tag @s add yeggs_chicken:give_guide
execute as @a[tag=yeggs_chicken:give_guide] at @s run function yeggs/chicken/give_guide

# Replace chickens
execute as @e[type=chicken,tag=!yeggs_chicken:init] at @s run function yeggs/chicken/chicken_convert

# Gives all chickens low falling
effect @e[family=better_chickens] slow_falling 1000000 1 true

# Kill projectiles
execute as @e[family=yeggs_chicken:projectile,tag=!yeggs_chicken:projectile_destroy] at @s unless block ^ ^ ^1 air unless block ^ ^ ^1 tallgrass unless block ^ ^ ^1 double_plant run tag @s add yeggs_chicken:projectile_destroy
execute as @e[family=yeggs_chicken:projectile,tag=!yeggs_chicken:projectile_destroy] at @s unless block ~ ~-.1 ~.25 air unless block ~ ~-.1 ~ tallgrass unless block ~ ~-.1 ~ double_plant run tag @s add yeggs_chicken:projectile_destroy
execute as @e[family=yeggs_chicken:projectile,tag=!yeggs_chicken:projectile_destroy] at @s unless block ~ ~-.1 ~-.25 air unless block ~ ~-.1 ~ tallgrass unless block ~ ~-.1 ~ double_plant run tag @s add yeggs_chicken:projectile_destroy
execute as @e[family=yeggs_chicken:projectile,tag=!yeggs_chicken:projectile_destroy] at @s unless block ~.25 ~-.1 ~ air unless block ~ ~-.1 ~ tallgrass unless block ~ ~-.1 ~ double_plant run tag @s add yeggs_chicken:projectile_destroy
execute as @e[family=yeggs_chicken:projectile,tag=!yeggs_chicken:projectile_destroy] at @s unless block ~-.25 ~-.1 ~ air unless block ~ ~-.1 ~ tallgrass unless block ~ ~-.1 ~ double_plant run tag @s add yeggs_chicken:projectile_destroy
execute as @e[family=yeggs_chicken:projectile,tag=yeggs_chicken:projectile_destroy] at @s run function yeggs/chicken/projectile_spawn

# Glow chicken
execute as @e[type=yeggs_chicken:glow_chicken,tag=!yeggs_chicken:glow_chicken_init] at @s run function yeggs/chicken/glow_chicken_init
execute as @e[type=yeggs_chicken:glow_chicken] at @s unless block ~ ~ ~ light_block run function yeggs/chicken/glow_chicken_refresh
execute as @e[type=yeggs_chicken:glow_chicken_emitter] at @s run function yeggs/chicken/glow_chicken_emitter_check

# Levitate all gravity eggs
execute as @e[type=item,name="Gravity Egg"] at @s run tp @s ~ ~.1 ~

# Toxic chicken particles
execute at @e[type=yeggs_chicken:toxic_chicken] run particle yeggs_chicken:toxic_chicken

# Zombie chicken lifetime
scoreboard players add @e[type=yeggs_chicken:zombie_chicken] yeggs_chicken:chicken_timer 1
kill @e[type=yeggs_chicken:zombie_chicken,scores={yeggs_chicken:chicken_timer=2000..}]

# Nether chicken fire
execute as @e[type=yeggs_chicken:nether_chicken] at @s if block ~ ~ ~ air run function yeggs/chicken/nether_chicken_fire 

# Phantom egg infinity
execute as @e[type=yeggs_chicken:phantom_egg,tag=!yeggs_chicken:init] at @s if entity @p[m=!creative] run function yeggs/chicken/give_phantom_egg
execute as @e[type=yeggs_chicken:phantom_egg,tag=!yeggs_chicken:init] at @s run tag @s add yeggs_chicken:init

# Ender egg
execute as @e[type=yeggs_chicken:ender_egg,tag=!yeggs_chicken:init] at @s run function yeggs/chicken/ender_egg_init



# Death queue
execute as @e[type=chicken] if score @s yeggs_chicken:death_queue matches 0.. run scoreboard players add @s yeggs_chicken:death_queue 1
execute as @e[type=chicken] if score @s yeggs_chicken:death_queue matches 10.. run tp @s ~ -1000 ~ 


# Remove buff tag